version: '3.5'
services:
    db:
        image: mysql
        command: --default-authentication-plugin=mysql_native_password
        restart: always
        environment:
            MYSQL_ROOT_PASSWORD: start123
            MYSQL_ROOT_HOST: '%'
        volumes:
            - pht-central-ui-db:/var/lib/mysql
    rabbitmq:
        image: 'docker.io/bitnami/rabbitmq:3.8-debian-10'
        environment:
            - RABBITMQ_USERNAME=admin
            - RABBITMQ_PASSWORD=start123
        volumes:
            - pht-central-ui-rabbitmq:/bitnami
    backend:
        image: pht/central-ui-backend
        build: ./packages/backend
        depends_on:
            -  db
            -  rabbitmq
        ports:
            - '3002:3000'
        restart: always
        volumes:
            - ./packages/backend/src:/usr/src/app/src
            - ./packages/backend/writable:/usr/src/app/writable
        environment:
            PORT: 3000
        env_file:
            -   ./packages/backend/.env
    frontend:
        image: pht/central-ui-frontend
        build: ./packages/frontend
        ports:
            - '3000:3000'
        environment:
            PORT: 3000
        env_file:
            - ./packages/frontend/.env
    result-service:
        image: pht/central-ui-result-service
        build: ./packages/result-service
        depends_on:
            - rabbitmq
        ports:
            - '3003:3000'
        env_file:
            - ./packages/result-service/.env
        environment:
            PORT: 3000
        volumes:
            - ./packages/result-service/src:/usr/src/app/src
            - ./packages/result-service/writable:/usr/src/app/writable
volumes:
    pht-central-ui-db:
    pht-central-ui-rabbitmq:
networks:
    default:
        external:
            name: pht-network
